> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an order in Cart.com

> Cart.com order creation result

### Path parameters

<ParamField path="tenant_id" type="string" required>
  Tenant identifier
</ParamField>

### Request body

JSON body of type `object`.

### Response

`object`

<ResponseField name="success" type="boolean" required>
  Whether order was created successfully
</ResponseField>

<ResponseField name="externalId" type="string">
  Cart.com external order ID
</ResponseField>

<ResponseField name="statusCode" type="integer" required>
  HTTP status code from Cart.com
</ResponseField>

<ResponseField name="response" type="object" required>
  Raw Cart.com response
</ResponseField>

### Status codes

| Code  | Meaning                             |
| ----- | ----------------------------------- |
| `200` | Cart.com order creation result      |
| `401` | Unauthorized                        |
| `422` | Validation error                    |
| `424` | Cart.com integration not configured |
| `502` | Cart.com API error                  |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/cart/orders' \
    --header 'x-stateset-api-key: YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "externalId": "string",
    "statusCode": 1,
    "response": {}
  }
  ```
</ResponseExample>
